### Figure 2.1
### Hourly data
source('bookfunctions.r')
library(MASS)
ws = read.csv(file = "Wind Time Series Data(hourly).csv", header = T)
wsdata = as.vector(ws[,2])
fit = fitdistr(ws[,2], "weibull")
shape = fit$estimate[1]
scale = fit$estimate[2]
pdf(paste0("Fig2.1-a.pdf"))
hist(wsdata, prob = TRUE, col = "lightgrey", xlab = "Wind Speed (m/s)", main = "Hourly wind speed data", cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33)
points(seq(min(wsdata),max(wsdata),length.out = 500),dweibull(seq(min(wsdata),max(wsdata),length.out = 500),shape = shape, scale = scale), type = "l", col = "red", lwd = 2)
dev.off()
mean(wsdata)
median(wsdata)
getmode(wsdata)
sd(wsdata)

### 10-minute data
ws = read.csv(file = "Wind Time Series Data(10min).csv", header = T)
wsdata = as.vector(ws[,2])
fit = fitdistr(ws[,2], "weibull")
shape = fit$estimate[1]
scale = fit$estimate[2]
pdf(paste0("Fig2.1-b.pdf"))
hist(wsdata, prob = TRUE, col = "lightgrey", xlab = "Wind Speed (m/s)", main = "10-min wind speed data", cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33)
points(seq(min(wsdata),max(wsdata),length.out = 500),dweibull(seq(min(wsdata),max(wsdata),length.out = 500),shape = shape, scale = scale), type = "l", col = "red", lwd = 2)
dev.off()
mean(wsdata)
median(wsdata)
getmode(wsdata)
sd(wsdata)
