##Figure 2.4
source('bookfunctions.r')
Month ="2015-04-"
ws = read.csv(file = "Wind Time Series Data(Hourly).csv", header = T)
wsdata = normalize(ws)
wsdata = wsdata[grep(Month,wsdata$Date),]
library(forecast)
fit = arima(wsdata$NormalizedWindspeed[1:(nrow(wsdata)-6)],order = c(1,0,1))
forecast = forecast(wsdata$NormalizedWindspeed[1:(nrow(wsdata)-6)],6, model = fit)
pointest = unnormalize(data = forecast$mean, time = wsdata$Time[(nrow(wsdata)-5):nrow(wsdata)], refdata = ws)
CI_UB_80 = unnormalize(data = forecast$upper[,1], time = wsdata$Time[(nrow(wsdata)-5):nrow(wsdata)], refdata = ws)
CI_UB_95 = unnormalize(data = forecast$upper[,2], time = wsdata$Time[(nrow(wsdata)-5):nrow(wsdata)], refdata = ws)
CI_LB_80 = unnormalize(data = forecast$lower[,1], time = wsdata$Time[(nrow(wsdata)-5):nrow(wsdata)], refdata = ws)
CI_LB_95 = unnormalize(data = forecast$lower[,2], time = wsdata$Time[(nrow(wsdata)-5):nrow(wsdata)], refdata = ws)

matplot_y = data.frame(pointest,CI_LB_80,CI_UB_80,CI_LB_95,CI_UB_95)
matplot_x = c(1:6)
NormWindspeed_roll = wsdata$NormalizedWindspeed[1:(nrow(wsdata)-6)]
pointestroll = NULL
for (i in 1:6){
  model = arima(NormWindspeed_roll,order = c(1,0,1))
  forecastroll = forecast(NormWindspeed_roll,1,model = model)
  pointestroll[i] = forecastroll$mean
  NormWindspeed_roll = c(NormWindspeed_roll,wsdata$NormalizedWindspeed[(length(NormWindspeed_roll)+1)])
}
pointestroll = unnormalize(data = pointestroll, time = wsdata$Time[(nrow(wsdata)-5):nrow(wsdata)], refdata = ws)
pdf(file = "ARMA_Forecast.pdf")
matplot(matplot_x,matplot_y, type = c('o','l','l','l','l'), col = c(1,4,4,2,2), lwd = 2, lty = c(1,2,2,3,3), pch = c(1,NA,NA,NA,NA), ylab = "Wind speed (m/s)", xlab ="Forecast time (hours)",cex.axis = 1.33, cex.lab = 1.33)
points(pointestroll, col = 'darkgreen', pch = 19 )
points(pointest)
legend("topleft",legend = c("h-hour ahead forecast","80% C. I.","95% C. I.","1-h rolling forecast"), lty = c(1,2,3,NA), col = c(1,4,2,"darkgreen"), pch = c(1,NA,NA,19))
dev.off()
