##Section 2.5.3 ANN
source('bookfunctions.r')
Month ="2015-04-"
ws = read.csv(file = "Wind Time Series Data(Hourly).csv", header = T)
wsdata = normalize(ws)
wsdata = wsdata[grep(Month,wsdata$Date),]
x = NULL
y = NULL
for (i in (1:(length(wsdata$NormalizedWindspeed)-1))){
  x[i] = wsdata$NormalizedWindspeed[i]
  y[i] =  wsdata$NormalizedWindspeed[i+1]
}
dataset = data.frame(x,y)
set.seed(5)
sample = sample(nrow(dataset))
folds = cut(seq(1:length(sample)),breaks = 10, labels = F)
hvec = c(5,10,15,30)
RMSE = NULL
library(neuralnet)
for(i in 1:length(hvec)){
  Err = NULL
  for(j in 1:10){
    testindex = sample(which(folds == j,arr.ind = T))
    trainset = dataset[-testindex,]
    testset = dataset[testindex,]
    nn = neuralnet(y~x,data = trainset, hidden = hvec[i], linear.output = T, stepmax = 1e7)
    test.nn = compute(nn, testset$x)
    Err[j] = sqrt((1/nrow(testset))*sum((testset$y-test.nn$net.result)^2))
  }
  RMSE[i] = mean(Err)
}
RMSE
