#### Table 2.1
## Hourly data Feb 2015
library(MASS)
ws = read.csv(file = "Wind Time Series Data(hourly).csv", header = T)
Feb = '2015-02-'
wsdata = ws[grep(Feb,ws[,1]),2]
n = length(wsdata)
fit = fitdistr(wsdata, "weibull")
shape = fit$estimate[1]
scale = fit$estimate[2]
bins = 75
h = hist(wsdata, prob = TRUE, breaks = bins+1)
O = NULL
E = NULL
Ef = NULL
chi.stat = NULL
for (i in 1:bins){
  Ef[i] =n*( pweibull(h$breaks[i+1], scale = scale, shape = shape) - pweibull(h$breaks[i], scale = scale, shape = shape))
}
Ef = Ef[is.na(Ef)==F]
i = 0
j = 0
while (i<length(Ef)){
  i = i+1
  j = j+1
  E[j] = Ef[i]
  O[j] = h$counts[i]
  while (E[j] < 5){
    if (i<length(Ef)){
      i = i+1
      E[j] = E[j] + Ef[i]
      O[j] = O[j] + h$counts[i]
    }
    else {
      j = j-1
      E[j] = E[j] + E[j+1]
      O[j] = O[j] +sum(h$counts[i:length(h$counts)])
      E = E[-(j+1)]
      O = O[-(j+1)]
    }
  }
}
for (k in 1:length(E)){
  chi.stat[k] = ((O[k] - E[k])^2)/E[k]
}
final_bins = length(E)
chi.stat.total = sum(chi.stat)
pvalue = 1 - pchisq(chi.stat.total, length(E) - 2 - 1)

##10-min data Nov 2014
ws = read.csv(file = "Wind Time Series Data(10min).csv", header = T)
Nov = '2014-11-'
wsdata = ws[grep(Nov,ws[,1]),2]
n = length(wsdata)
fit = fitdistr(wsdata, "weibull")
shape = fit$estimate[1]
scale = fit$estimate[2]
bins = 100
h = hist(wsdata, prob = TRUE, breaks = bins+1)
O = NULL
E = NULL
Ef = NULL
chi.stat = NULL
for (i in 1:bins){
  Ef[i] =n*( pweibull(h$breaks[i+1], scale = scale, shape = shape) - pweibull(h$breaks[i], scale = scale, shape = shape))
}
Ef = Ef[is.na(Ef)==F]
i = 0
j = 0
while (i<length(Ef)){
  i = i+1
  j = j+1
  E[j] = Ef[i]
  O[j] = h$counts[i]
  while (E[j] < 5){
    if (i<length(Ef)){
      i = i+1
      E[j] = E[j] + Ef[i]
      O[j] = O[j] + h$counts[i]
    }
    else {
      j = j-1
      E[j] = E[j] + E[j+1]
      O[j] = O[j] +sum(h$counts[i:length(h$counts)])
      E = E[-(j+1)]
      O = O[-(j+1)]
    }
  }
}
for (k in 1:length(E)){
  chi.stat[k] = ((O[k] - E[k])^2)/E[k]
}
final_bins = length(E)
chi.stat.total = sum(chi.stat)
pvalue = 1 - pchisq(chi.stat.total, length(E) - 2 - 1)
