## Table 2.2
library(MASS)
ws = read.csv(file = "Wind Time Series Data(hourly).csv", header = T)
wsdata = as.vector(ws[,2])
n = length(wsdata)
alpha = 0.05
fit = fitdistr(ws[,2], "weibull")
shape = fit$estimate[1]
scale = fit$estimate[2]
weibull_mean = mean.weibull(scale = scale, shape = shape)
weibull_sd = sd.weibull(scale = scale, shape = shape)
weibull_CI_U = weibull_mean + (qnorm(0.975)*weibull_sd)
weibull_CI_L = weibull_mean - (qnorm(0.975)*weibull_sd)
sample_mean = mean(wsdata)
data_ordered = sort(wsdata)
lower_index = round(n*alpha/2)
upper_index = round(n*(1-alpha/2))
sample_CI_U = data_ordered[upper_index]
sample_CI_L = data_ordered[lower_index]