##Table 2.3
input_file = c("Wind Time Series Data(Hourly).csv","Wind Time Series Data(10min).csv")
Month = c("-01-","-02-","-03-","-04-","-05-","-06-","-07-","-08-","-09-","-10-","-11-","-12-")
m = matrix(nrow = length(input_file),ncol = length(Month))
for (i in 1:length(input_file)){
  ws = read.csv(file = input_file[i], header = T)
  for (j in 1:length(Month)){
    DataSubset = ws[grep(Month[j],ws$Time),]
    n = nrow(DataSubset)
    fit = fitdistr(DataSubset[,2], "weibull")
    shape = fit$estimate[1]
    scale = fit$estimate[2]
    m[i,j] = shape/3.6
  }
}
sink(file = "LatexEntryTable2_3.txt")
cat("            ","   Jan   ","   Feb   ","   Mar   ","   Apr   ","   May   ","   Jun   ",'\n')
cat("Hourly data","&&",round(m[1,1],2),"&&",round(m[1,2],2),"&&",round(m[1,3],2),"&&",round(m[1,4],2),"&&",round(m[1,5],2),"&&",round(m[1,6],2),"\\",'\n')
cat("10-min data","&&",round(m[2,1],2),"&&",round(m[2,2],2),"&&",round(m[2,3],2),"&&",round(m[2,4],2),"&&",round(m[2,5],2),"&&",round(m[2,6],2),"\\",'\n')
cat("            ","   Jul   ","   Aug   ","   Sep   ","   Oct   ","   Nov   ","   Dec   ",'\n')
cat("Hourly data","&&",round(m[1,7],2),"&&",round(m[1,8],2),"&&",round(m[1,9],2),"&&",round(m[1,10],2),"&&",round(m[1,11],2),"&&",round(m[1,12],2),"\\",'\n')
cat("10-min data","&&",round(m[2,7],2),"&&",round(m[2,8],2),"&&",round(m[2,9],2),"&&",round(m[2,10],2),"&&",round(m[2,11],2),"&&",round(m[2,12],2),"\\",'\n')
sink()
